Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004552Dwarf FortressDwarf Mode -- Combatpublic2011-04-21 15:192015-12-09 15:23
ReporterKogut 
Assigned ToToady One 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformSDLOSwindowsOS Version7
Product Version0.31.25 
Target VersionFixed in Version0.42.03 
Summary0004552: Siegers waiting by bodies of dead leaders
DescriptionSiege is completely ignoring dwarves, access to fortress etc.
Steps To Reproduce?
Additional InformationSiege is sitting near bodies of other attackers
Tags0.40.24, Save Included, siege
Attached Files

- Relationships
related to 0001598resolvedToady One Enemy squads will never abandon their caged leader 
related to 0003700acknowledgedDwarfu Swimming beasts do not path toward targets? 
related to 0002332new Goblin invaders not attacking open fortress on opposite side of map 
related to 0007681new Living and Undead Goblins attacking together peacefully but failing to path correctly 
has duplicate 0008310resolvedFootkerchief Invader Squads Freeze When Squad Leader Dies 
has duplicate 0009224resolvedDwarfu Invaders stop pathing when squad leaders die 
related to 0005919new Certain types of invading units remain post-siege, accumulating unaggressively at a specific spot 

-  Notes
(0017461)
Kogut (reporter)
2011-04-22 02:57
edited on: 2015-07-23 16:08

I forgot: this is modded game.
Second save (another siege): [removed]

(0017483)
Kogut (reporter)
2011-04-23 04:44
edited on: 2015-07-23 16:08

Next save: [removed]
Frogman siege (stuck in murky pool due to swimmer tag [?])
Tigerman siege (standing around bodies dropped from 10 z-levels)

(0017542)
Kogut (reporter)
2011-04-27 01:50

Explanation: swimming things are failing to path (0003700) + standing around leader (0001598).
(0017550)
Kogut (reporter)
2011-04-27 14:49
edited on: 2015-07-23 16:08

YA frozen swimming siege: [removed]

(0017563)
Kogut (reporter)
2011-04-29 03:50
edited on: 2015-07-23 16:08

YA frozen swimming siege: <removed>

(0030002)
vjek (reporter)
2014-09-06 17:44

I've seen this in every mechanical defense fort I've built since 0.34.10, continuing today until 0.40.11.

Specifically, any squad leader killed, and/or any other squad member killed without all the other squad members also dying causes the squad to halt in the location the single or rest of the squad was killed.

As an example, if a squad of 5 goblins enters a water, magma, or similar kind of mechanical defense trap, and they don't ALL die, the rest of the squad will remain where they are, not attacking nor running away, until the next season change.

This bug is ***extremely frustrating***, and this behavior has been around for years. Please fix it in this round of 0.40.x bug fixes! Please!

A potential solution: If a squad leader dies, immediately have the game appoint a new squad leader from the remaining members of the squad. Based on the personality of that leader, or based on the original goal of the squad, this new leader can lead the squad to victory or escape. Call it.. "instant promotion". You're the new leader now, Statoz, lead us to victory! This "instant promotion" could occur until there is only one goblin left, at which point their behavior (attack/flee) could be decided based on their personality parameters.

Personally I don't care if leaderless squads run away or attempt to attack again, _anything_ but just standing around for months on end doing nothing.
(0030236)
Footkerchief (manager)
2014-09-17 13:27

vjek posted a save at 0008310: http://dffd.wimbli.com/file.php?id=9722 [^]
(0031928)
Nevenrial (reporter)
2015-01-14 04:32

Is this present in the current version?
(0032650)
vjek (reporter)
2015-05-06 10:33
edited on: 2015-05-06 10:36

Yes. I downloaded a fresh 0.40.24 and loaded and continued playing the above save ( http://dffd.wimbli.com/file.php?id=9722 [^] ) , and it's exactly the same, as of this posting date/time.

(0032931)
Nevenrial (reporter)
2015-07-21 16:17

About every month or so I come to check if this one single bug that has been present for a very very long time was fixed....

Again I am disappointed.
(0032932)
lethosor (manager)
2015-07-21 18:49

vjek: It seems unlikely that stuck siegers would be fixed by loading the save in a newer version. Does the issue occur with a new siege?

Nevenrial: Please don't bump bug reports just to state that you're disappointed that they're not fixed. It's already confirmed, so Toady will likely get to it in the next release cycle (or possibly before it).
(0032933)
vjek (reporter)
2015-07-23 12:19

Yes, this issue is present in the new version, either by loading a save or as a brand new game.
This bug occurs with an existing siege or a new siege. Or every siege, whichever you'd prefer.
This bug has existed for years, is incredibly annoying, and is linked to a huge number of other siege, pathing, and invader issues.
This bug is not fixed.
This bug is still outstanding.
This bug is trivially reproduced.
This bug has existed in every version since 0.31.25 until 0.40.24.
(0032934)
lethosor (manager)
2015-07-23 16:16

Thanks for clarifying that - sometimes, symptoms of bugs can persist for a while in old saves even if the problems were fixed in newer versions.
Again, this bug is confirmed, and it has already been established that it hasn't been fixed and has therefore been around since 0.31.25. Repeatedly posting about its severity on the tracker won't increase its priority.
(0033150)
vjek (reporter)
2015-11-03 14:30

Why was this bug changed to "Issue End Monitor" on 2015-10-23 when it's still an active and outstanding issue/bug to be fixed?
(0033151)
lethosor (manager)
2015-11-03 16:17

If you're referring to "Issue End Monitor: Nevenrial", that's Mantis's way of saying "Nevenrial stopped monitoring this issue". Again, please don't bump reports unnecessarily. Toady usually doesn't update the tracker when working towards a major release, so we don't know if it's been fixed or not (and if it hasn't, bumping it won't make Toady fix it faster).
(0033455)
vjek (reporter)
2015-12-05 07:57

Can the Product Version for this be updated to be 0.42.01, so it might be fixed in the current version, instead of being ignored for another 4 years?
(0033477)
Orkel (reporter)
2015-12-05 18:56

This is happening to me in my current fort, a squad of goblins just sitting at my entrance after their leader got murdered by my weapon traps.
(0033498)
Orkel (reporter)
2015-12-06 06:48

Here is a save: http://dffd.bay12games.com/file.php?id=11392 [^]

They even ignore visitors. Bards and scientists are walking in and out of the fort through the mass of goblins and nobody seems to care.
(0033626)
Detros (manager)
2015-12-08 01:56

Thanks, Orkel, you may have defined the cause to 0009222, "Peaceful Scholars/Bards".

- Issue History
Date Modified Username Field Change
2011-04-21 15:19 Kogut New Issue
2011-04-22 02:57 Kogut Note Added: 0017461
2011-04-23 04:44 Kogut Note Added: 0017483
2011-04-27 01:50 Kogut Note Added: 0017542
2011-04-27 14:49 Kogut Note Added: 0017550
2011-04-29 03:50 Kogut Note Added: 0017563
2011-08-15 12:03 Footkerchief Relationship added related to 0001598
2011-08-15 12:04 Footkerchief Summary Frozen siege => Siegers waiting by bodies of dead leaders
2011-10-20 13:05 Kogut Issue Monitored: Kogut
2011-10-27 01:35 Kogut Tag Attached: Save Included
2011-10-28 11:49 Footkerchief Relationship added related to 0003700
2012-02-26 11:48 Buglist Issue Monitored: Buglist
2012-05-20 14:44 Footkerchief Relationship added related to 0005919
2014-09-06 17:44 vjek Note Added: 0030002
2014-09-06 18:30 vjek Issue Monitored: vjek
2014-09-08 14:26 Nevenrial Issue Monitored: Nevenrial
2014-09-08 14:56 Footkerchief Assigned To => Footkerchief
2014-09-08 14:56 Footkerchief Status new => confirmed
2014-09-13 06:43 Nevenrial Tag Attached: traps
2014-09-17 13:27 Footkerchief Relationship added has duplicate 0008310
2014-09-17 13:27 Footkerchief Note Added: 0030236
2014-11-10 04:07 Nevenrial Tag Attached: siege
2014-12-10 14:00 Nevenrial Tag Attached: Cage
2015-01-14 04:32 Nevenrial Note Added: 0031928
2015-05-06 10:33 vjek Note Added: 0032650
2015-05-06 10:34 vjek Note Edited: 0032650 View Revisions
2015-05-06 10:36 vjek Note Edited: 0032650 View Revisions
2015-06-09 04:22 Nevenrial Tag Attached: 0.40.24
2015-07-21 16:17 Nevenrial Note Added: 0032931
2015-07-21 18:49 lethosor Note Added: 0032932
2015-07-23 12:19 vjek Note Added: 0032933
2015-07-23 16:07 lethosor Tag Detached: traps
2015-07-23 16:07 lethosor Tag Detached: Cage
2015-07-23 16:07 lethosor Additional Information Updated View Revisions
2015-07-23 16:08 lethosor Note Edited: 0017563 View Revisions
2015-07-23 16:08 lethosor Note Edited: 0017550 View Revisions
2015-07-23 16:08 lethosor Note Edited: 0017483 View Revisions
2015-07-23 16:08 lethosor Note Edited: 0017461 View Revisions
2015-07-23 16:16 lethosor Note Added: 0032934
2015-07-23 16:19 lethosor Relationship added related to 0002332
2015-07-23 16:19 lethosor Relationship added related to 0007681
2015-10-23 04:21 Nevenrial Issue End Monitor: Nevenrial
2015-11-03 14:30 vjek Note Added: 0033150
2015-11-03 16:17 lethosor Note Added: 0033151
2015-12-04 19:58 Dwarfu Relationship added has duplicate 0009224
2015-12-05 07:57 vjek Note Added: 0033455
2015-12-05 18:56 Orkel Note Added: 0033477
2015-12-06 06:48 Orkel Note Added: 0033498
2015-12-08 01:56 Detros Note Added: 0033626
2015-12-09 15:23 Toady One Status confirmed => resolved
2015-12-09 15:23 Toady One Fixed in Version => Next Version
2015-12-09 15:23 Toady One Resolution open => fixed
2015-12-09 15:23 Toady One Assigned To Footkerchief => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker